{% extends 'base.html' %}
{% load static %}

{% block main %}
<main id="main" class="w-100 main container border rounded border-white py-4 my-3 d-flex flex-column">
    <div id="current-tasks"
        class="w-100 px-5 d-flex flex-column justify-content-start align-items-start border rounded border-white p-3">
        <div class="w-100 pb-2 mb-2 d-flex ">
            <div class="w-100">
                <p class="w-100 mb-2 fs-4 text-center">Les votes</p>
                {% if need_cafe %}
                <div class="w-100 d-flex justify-content-center align-items-center align-content-center">
                    <div class="alert alert-warning" role="alert">
                        {{ need_cafe }}
                    </div>
                </div>
                {% endif %}
                {% if alert %}
                <div class="w-100 d-flex justify-content-center align-items-center align-content-center">
                    <div class="alert alert-{% if alert.type == 'success' %}success{% else %}danger{% endif %}"
                        role="alert">
                        {{ alert.message }}
                    </div>
                </div>
                {% endif %}
            </div>
            <div class="d-flex justify-content-end align-content-center position-relative">
                <button data-menu="articlePcActionOption" type="button"
                    class="moreOptionToggle normal-btn fw-bold fs-3 pe-3 text-white">:</button>
                <div class="more-option-menu" id="articlePcActionOption">
                    <div
                        class="px-2 py-1ottom text-dark d-flex align-content-center align-items-center justify-content-start gap-2">
                        <i class="fa-solid fa-power-off"></i>
                        <a href="{% url 'reset_game' %}" class="normal-link one-ligne-text">Supprimer le jeu</a>
                    </div>
                    <div
                        class="px-2 py-1ottom text-dark d-flex align-content-center align-items-center justify-content-start gap-2">
                        <i class="fa-solid fa-power-off"></i>
                        <a href="{% url 'pause_game' %}" class="normal-link one-ligne-text">Pause</a>
                    </div>
                </div>
            </div>
        </div>


    </div>
    <div id="playing-layout" class="d-flex flex-row align-items-start justify-content-start gap-1 w-100">
        <div id="playing-center" class="d-flex flex-column align-items-start justify-content-start gap-3 w-100">
            <table class="table table-dark table-striped pb-1 border-bottom border-white">
                <thead>
                    <tr>
                        <th scope="col" class="text-center align-middle w-50">Tâche</th>
                        <th scope="col" class="text-center align-middle w-50">résultat</th>
                    </tr>
                </thead>

                <tbody>
                    <tr>
                        <th class="text-center align-middle">{{ round.task.name }}</th>
                        <td class="text-center align-middle">{{ result }}</td>
                    </tr>
                </tbody>
            </table>
            <div class="my-3"></div>
            <table class="table table-dark table-striped">
                <thead>
                    <tr>
                        <th scope="col" class="text-center align-middle w-50">Nom</th>
                        <th scope="col" class="text-center align-middle w-50">Vote</th>
                    </tr>
                </thead>

                <tbody>
                    {% for vote in round.votes.all %}
                    <tr>
                        <th class="text-center align-middle">{{ vote.user.username|title }}</th>
                        <td class="text-center align-middle">
                            <img class="card-size" style="max-width: 80px !important;"
                                src="{% static 'images/'|add:vote.get_card|add:'.svg' %}" alt="{{ vote.get_card }}">
                        </td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>

            <div class="w-100 d-flex flex-column justify-content-center align-items-center align-items-center gap-3">
                <a href="{% url 'index' %}" class="normal-link px-4 py-2 rounded bg-success text-white rounded">
                    {% if restart_round %}
                        Recommencer
                    {% else %}
                        {% if last_round %}
                            Voir la résultat de jeu
                        {% else%}
                            Passer à la partie suivante
                        {% endif %}
                    {% endif %}
                </a>
                {% if need_cafe %}
                    <a href="{% url 'pause_game' %}" class="normal-link btn btn-secondary">Faire une pause</a>
                {% endif %}
            </div>
        </div>
    </div>
</main>
<script>
    const playingCards = document.querySelectorAll('#playing-cards input');
    const validateBtn = document.querySelector('#validate-btn');
    playingCards.forEach(card => {
        card.addEventListener('click', () => {
            validateBtn.disabled = false;
        })
    })
</script>

{% endblock main %}